
/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package oracle;

import oracle.javacloud.resource.AppResource;

import javax.ws.rs.core.Application;
import java.util.HashSet;
import java.util.Set;

/**
 * Provides root resource class.
 *
 */
public class CFSTestApp extends Application {

    /**
     * Method to declare root resource class.
     * @return
     */
    @Override
        public Set<Class<?>> getClasses() {
        Set<Class<?>> s = new HashSet<Class<?>>();
        s.add(AppResource.class);
        return s;
    }
}
